#if !defined(AFX_WAITDLG_H__ED650189_4158_460F_AF7A_3A22D82DD8C7__INCLUDED_)
#define AFX_WAITDLG_H__ED650189_4158_460F_AF7A_3A22D82DD8C7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// WaitDlg.h : header file
//
#include "Label.h"//STATIC控件头文件
#include "CtrlCardSingletion.h"
/////////////////////////////////////////////////////////////////////////////
// WaitDlg dialog

class WaitDlg : public CDialog
{
// Construction
public:
	WaitDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(WaitDlg)
	enum { IDD = IDD_DIALOG_WAIT };
		// NOTE: the ClassWizard will add data members here
	CLabel	m_Labl0;
	CLabel	m_Labl1;
	CLabel	m_Labl2;
	CLabel	m_Labl3;
	CLabel	m_Labl4;
	CLabel	m_Labl5;
	CLabel	m_Labl6;
	CLabel	m_Labl7;
	CLabel	m_Labl8;
	CLabel	m_Labl9;
	CLabel	m_Labl10;
	CLabel	m_LablTime;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(WaitDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
	
public:
	CTime m_enterTime;
	bool m_bAort;//中止进度显示标记
	int m_nResult;//初始化卡返回值
	bool m_bInit;//初始化卡标志
	int m_nCounter;
	bool m_bshow;
public:
 	CStatusBarCtrl *m_wndStatusBar;
protected:

	// Generated message map functions
	//{{AFX_MSG(WaitDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnClose();
	afx_msg void OnButtonAbort();
	afx_msg void OnDestroy();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WAITDLG_H__ED650189_4158_460F_AF7A_3A22D82DD8C7__INCLUDED_)
